LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Server
User Name
Password
Linux - Server This forum is for the discussion of Linux Software used in a server related context.

Notices

Reply
 
Search this Thread
Old 02-26-2007, 06:41 PM   #1
pcuongx
LQ Newbie
 
Registered: Feb 2006
Posts: 4

Rep: Reputation: 0
How to use "ant" from J2EE SDK instead of installed ant in Fedora ?


I've installed Sun's java-ee sdk 5_02. In this sdk there's newer version of "ant". All examples from sdk require it. When I was trying create data tables using installed ant in Fedora Core 4 , I got the following error:

ant create-tables
Buildfile: build.xml

BUILD FAILED
/home/study/Java/J2EE/javaeetutorial5/examples/web/books/build.xml:49: The following error occurred while executing this line:
/home/study/Java/J2EE/javaeetutorial5/examples/bp-project/main.xml:20: Class org.apache.tools.ant.taskdefs.ConditionTask doesn't support the "else" attribute.

I think all problems can be solved by using ant tool that comes with JSDK. So tell be how to uninstall ant from Fedora to use newer version.

Thanks
 
Old 02-27-2007, 04:17 AM   #2
Seagull
Member
 
Registered: Oct 2003
Location: Holland
Distribution: SuSE 10.0 SuSE 10.2
Posts: 70

Rep: Reputation: 15
Can you not just define your ANT_HOME to point to the version of ant that came with J2EE ? Then you shouldn't have any problems with the 'wrong' version being picked up.
 
Old 02-27-2007, 04:45 AM   #3
pcuongx
LQ Newbie
 
Registered: Feb 2006
Posts: 4

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by Seagull
Can you not just define your ANT_HOME to point to the version of ant that came with J2EE ? Then you shouldn't have any problems with the 'wrong' version being picked up.
I've already defined ANT_HOME, but it didn't help. The old version is still called.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Fedora Core 2: Screen Resolution can not change from "800X600" to "1024X 768" suhaimi_sj Fedora - Installation 18 12-17-2009 03:29 AM
Permission denied for "ant" .......... chillyroll Linux - Software 1 12-20-2006 05:41 AM
How to install "ant" ? efranz Slackware - Installation 1 11-21-2006 04:42 AM
LXer: Sdk offers "natural" handwriting input for Linux devices LXer Syndicated Linux News 0 06-10-2006 06:33 AM
Eclipse SDK v3.0 running problem: "Permission denied" AlexDunnCpp Linux - Newbie 1 08-03-2004 11:45 AM


All times are GMT -5. The time now is 06:10 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration